services:
  app:
    build:
      context: .
      dockerfile: Dockerfile
      args:
        PUBLIC_POCKETBASE_URL: https://pb.data.lio.systems
        PUBLIC_TITLE: Astro Gallery
        PUBLIC_DESCRIPTION: This is my Gallery Site
        PUBLIC_USEICONS: true
    ports:
      - 4321:4321
    env_file:
      - .env
      # - PUBLIC_POCKETBASE_URL=https://pb.data.lio.systems
      # - PUBLIC_TITLE=Astro Gallery
      # - PUBLIC_DESCRIPTION=This is my Gallery Site
      # - PUBLIC_USEICONS=true
    # build:
    #   context: .
    #   dockerfile: Dockerfile
    #   args:
    #     PUBLIC_HOST: http://localhost:4321